library BaseInfo;

uses
  SysUtils,
  classes,
  forms,
  WinTypes,
  WinProcs,
  U_DataLink in 'U_DataLink.pas' {DataLink_BaseInfo: TDataModule},
  U_GetDllForm in 'U_GetDllForm.pas',
  U_Fun in '..\..\..\ThreeFun\Fun\U_Fun.pas',
  U_ZDYHelp in '..\..\..\ThreeFun\Form\U_ZDYHelp.pas' {frmZDYHelp},
  U_SelExportField in '..\..\..\ThreeFun\Form\U_SelExportField.pas' {frmSelExportField},
  U_ColumnSet in '..\..\..\ThreeFun\Form\U_ColumnSet.pas' {frmColumnSet},
  U_ColumnBandSet in '..\..\..\ThreeFun\Form\U_ColumnBandSet.pas' {frmColumnBandSet},
  U_SelPrintFieldNew in '..\..\..\ThreeFun\Form\U_SelPrintFieldNew.pas' {frmSelPrintFieldNew},
  U_ZdyAttInputCP in 'U_ZdyAttInputCP.pas' {frmZdyAttInputCP},
  U_ZdyAttachCP10 in 'U_ZdyAttachCP10.pas' {frmZdyAttachCP10},
  U_ZdyInput in 'U_ZdyInput.pas' {frmZdyInput},
  U_HZViewList in 'U_HZViewList.pas' {frmHZViewList},
  U_NengHaoInput in 'U_NengHaoInput.pas' {frmNengHaoInput},
  U_CPKWList in 'U_CPKWList.pas' {frmCPKWList},
  U_Fun10 in '..\..\..\ThreeFun\Fun\U_Fun10.pas',
  U_ZdyAttInputCP10 in 'U_ZdyAttInputCP10.pas' {frmZdyAttInputCP10},
  U_FjList_RZ in 'U_FjList_RZ.pas' {frmFjList_RZ},
  U_CompressionFun in '..\..\..\ThreeFun\Fun\U_CompressionFun.pas';

// U_SelfForm in '..\..\SelfForm\U_SelfForm.pas',
 // U_SelExportField in '..\..\SelfForm\U_SelExportField.pas' {frmSelExportField},
 // U_SelPrintField in '..\..\SelfForm\U_SelPrintField.pas' {frmSelPrintField},
 // U_SelPrintFieldNew in '..\..\SelfForm\U_SelPrintFieldNew.pas' {frmSelPrintFieldNew},
  //U_FormPas in '..\CommonPas\formPas\U_FormPas.pas',
  //U_CxGridSet in '..\CommonPas\cxgridPas\U_CxGridSet.pas';

//U_RSFormPas in '..\CommonPas\RSCommon\U_RSFormPas.pas';

{$R *.res}

procedure DllEnterPoint(dwReason: DWORD);far;stdcall;
begin
  DLLProc := @DLLEnterPoint;
  DllEnterPoint(DLL_PROCESS_ATTACH);
end;

procedure DLLUnloadProc(Reason: Integer); register;
begin
  if (Reason = DLL_PROCESS_DETACH) or (Reason=DLL_THREAD_DETACH) then
     Application:=NewDllApp;
end;
exports
   GetDllForm;
begin
   try
     NewDllApp:=Application;
     DLLProc := @DLLUnloadProc;
   except

   end;
end.

